Summary: An encoder/decoder for the Free Lossless Audio Codec.
Name: flac
Version: 1.2.1
Release: 3
License: LGPL/GPL
Group: Applications/Multimedia
Source0: http://prdownloads.sourceforge.net/flac/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
URL: http://flac.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libogg-devel
Requires: libogg

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Static libraries and header files from FLAC.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
export XMMS_CONFIG=no # Disable XMMS

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --disable-cpplibs
make %{?_smp_mflags}

cp src/libFLAC/.libs/libFLAC.so.8 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static \
    --disable-cpplibs
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/libFLAC/.libs/libFLAC.a ./libFLAC.so.8


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

find ${RPM_BUILD_ROOT}%{_prefix} -name "Makefile*" -exec rm {} \;

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING* README
%{_bindir}/*
%{_libdir}/*.a
%{_mandir}/man1/*
/usr/bin/*


%files devel
%defattr(-,root,system)
%doc doc/html
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
/usr/include/*
/usr/lib/*.la


%changelog
* Wed Dec 02 2009 Michael Perzl <michael@perzl.org> - 1.2.1-3
- added missing pkgconfig files

* Thu Jul 23 2009 Michael Perzl <michael@perzl.org> - 1.2.1-2
- fixed some spec files issues

* Thu Jan 17 2008 Michael Perzl <michael@perzl.org> - 1.2.1-1
- first version for AIX V5.1 and higher
